GET api/OutgoingSecureMessages?externalId={externalId}

Get information about an outgoing secure message.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
externalId

Outgoing secure message's unique ID on integrating system.

string

Required

Body Parameters

None.

Response Information

Resource Description

OutgoingSecureMessageModel
NameDescriptionTypeAdditional information
FromSecureRecipientExternalId

External ID of the sender of the secure message. This is the Secure Recipient's unique ID on integrating system (Required).

string

None.

FromSecureRecipientName

Name of the sender of the secure message. This is the Secure Recipient's name on the integrating system (Read only).

string

None.

Patients

List of patients that will receive the secure message.

Collection of PatientRecipientModel

None.

Subject

Subject of the secure message.

string

None.

Body

Body of the secure message.

string

None.

Status

Current status of the outgoing secure message. Possible values: Draft, Sent.

string

None.

Priority

Current priority of the outgoing secure messages. Possible values: Normal, High, Low.

string

None.

CreationDate

Creation date (Read only).

date

None.

SentDate

Sent date (Read only).

date

None.

FileData

List of file attachments

Collection of FileAttachmentModel

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "fromSecureRecipientExternalId": "sample string 1",
  "fromSecureRecipientName": "sample string 2",
  "patients": [
    {
      "externalId": "sample string 1",
      "isRepresentative": true,
      "representativeExternalId": "sample string 3"
    },
    {
      "externalId": "sample string 1",
      "isRepresentative": true,
      "representativeExternalId": "sample string 3"
    }
  ],
  "subject": "sample string 3",
  "body": "sample string 4",
  "status": "sample string 5",
  "priority": "sample string 6",
  "creationDate": "2026-05-29T16:57:19.3891678+00:00",
  "sentDate": "2026-05-29T16:57:19.3891678+00:00",
  "fileData": [
    {
      "fileName": "sample string 1",
      "fileData": "QEA="
    },
    {
      "fileName": "sample string 1",
      "fileData": "QEA="
    }
  ],
  "id": "3788e4e0-2745-45d2-aef8-16c5ce32d853",
  "externalId": "sample string 9"
}

application/xml, text/xml

Sample:
<OutgoingSecureMessageModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.OutgoingSecureMessages">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 9</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">3788e4e0-2745-45d2-aef8-16c5ce32d853</Id>
  <Body>sample string 4</Body>
  <CreationDate>2026-05-29T16:57:19.3891678+00:00</CreationDate>
  <FileData>
    <FileAttachmentModel>
      <FileData>QEA=</FileData>
      <FileName>sample string 1</FileName>
    </FileAttachmentModel>
    <FileAttachmentModel>
      <FileData>QEA=</FileData>
      <FileName>sample string 1</FileName>
    </FileAttachmentModel>
  </FileData>
  <FromSecureRecipientExternalId>sample string 1</FromSecureRecipientExternalId>
  <FromSecureRecipientName>sample string 2</FromSecureRecipientName>
  <Patients>
    <PatientRecipientModel>
      <ExternalId>sample string 1</ExternalId>
      <IsRepresentative>true</IsRepresentative>
      <RepresentativeExternalId>sample string 3</RepresentativeExternalId>
    </PatientRecipientModel>
    <PatientRecipientModel>
      <ExternalId>sample string 1</ExternalId>
      <IsRepresentative>true</IsRepresentative>
      <RepresentativeExternalId>sample string 3</RepresentativeExternalId>
    </PatientRecipientModel>
  </Patients>
  <Priority>sample string 6</Priority>
  <SentDate>2026-05-29T16:57:19.3891678+00:00</SentDate>
  <Status>sample string 5</Status>
  <Subject>sample string 3</Subject>
</OutgoingSecureMessageModel>